/* Quadratic.m  	by Paul Kunz	January 1993
 * Subclass of PFunction to manage a Quadratic function
 *
 * Copyright (C)  1993  The Board of Trustees of
 * The Leland Stanford Junior University. All Rights Reserved.
 */

#import "Quadratic.h"

const char Quadratic_h_rcsid[] = QUADRATIC_H_ID;
const char Quadratic_m_rcsid[] = "$Id: Quadratic.m,v 1.2 1993/02/10 18:18:18 rensing Exp $";

@implementation Quadratic 

static double quadratic(double x, double binW, double *par )
{
    return binW * (par[0] + par[1] * x + par[2] * x * x );
}

- init
{
    [super init];
    [[[self setTitle:"Quadratic"] setFunctionPtr:quadratic] setNumberArgs:3];
    [self registerFunc];
    [self setArgName:"A0" at:0];
    [self setArgName:"A1" at:1];
    [self setArgName:"A2" at:2];
    return self;
}

@end
